2011-11-12  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	clean main page

2011-11-12  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_stdio.c:
	Fix returned value of evil_fread_native()

	* doc/Doxyfile:
	* doc/head.html:
	* src/lib/Evil.h:
	* src/lib/dirent.h:
	* src/lib/dlfcn/dlfcn.h:
	* src/lib/evil_fcntl.h:
	* src/lib/evil_inet.h:
	* src/lib/evil_libgen.h:
	* src/lib/evil_stdio.h:
	* src/lib/evil_string.h:
	* src/lib/pwd.h:
	Update documentation

2011-11-02  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_util.c:
	* src/lib/evil_util.h:
	Add evil_utf16_to_utf8() function, display error messages
	and fix a bit the documentation of the other conversion
	functions.

2011-10-12  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_util.c:
	simplify evil_wchar_to_char()

2011-10-05  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_inet.c:
	* src/lib/evil_inet.h:
	* AUTHORS:
	add inet_ntop() function. Implementation from c-ares library.
	See AUTHORS.

	* configure.ac:
	* src/lib/dlfcn/dlfcn.c:
	* src/lib/dlfcn/Makefile.am:
	add RTLD_DEFAULT support in dlsym() on Windows CE

2011-09-14  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/dlfcn/dlfcn.c:
	add RTLD_DEFAULT support in dlsym()

2011-05-19  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/dlfcn/dlfcn.c:
	change '/' to '\' in paths

	* src/lib/evil_inet.c:
	* src/lib/evil_inet.h:
	* src/lib/Evil.h:
	* src/lib/Makefile.am:
	* AUTHORS:
	add inet_pton() function. Implementation from c-ares library.
	See AUTHORS.

2011-02-27  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	force libtool >= 2.4

2011-02-23  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_stdio.c:
	make vasprintf() compile on Windows CE

	* src/lib/evil_time.c:
	* src/lib/evil_time.h:
	add stub tzset() for Windows CE

2011-02-04  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_stdio.c:
	* src/lib/evil_stdio.h:
	Add asprintf() function.
	Add documentation for vasprintf().
	Use _vcprintf() instead of vsnprintf() to get the length
	of the string, as recommended by MSDN.

2011-01-06  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_stdio.c:
	* src/lib/evil_stdio.h:
	better perror() declaration / definition

2011-01-04  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_unistd.c:
	* src/lib/evil_unistd.h:
	declare and define getpid() for Windows CE.

2011-01-04  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/dlfcn/dlfcn.h:
	define (temporary) PATH_MAX on Windows CE.
	cegcc has a bug with limits.h.

	* src/lib/evil_stdio.c:
	* src/lib/evil_stdio.h:
	undefine temporary the definition of perror() on Windows CE

2010-12-18  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/libgen.c:
	fix segmentation fault in basename() and dirname()

2010-12-18  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	use _tzset instead of tzset with vc++

2010-12-12  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_libgen.c:
	* src/lib/evil_libgen.h:
	add dirname() function

2010-12-12  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_unistd.c:
	* src/lib/evil_unistd.h:
	add usleep() for vc++

2010-12-10  Vincent Torri  <doursse at users dot sf dot net>

	reviewed by: Vincent Torri
	patch by: Vincent Richomme

	* src/lib/evil_unistd.c:
	remove warning

2010-11-06  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	* src/lib/evil_string.h:
	Fix doxygen documentation

2010-10-29  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	define offsetof for Windows CE

2010-10-22  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Makefile.am:
	* src/lib/dirent.h:
	* src/lib/evil_dirent.c:
	use our own dirent structure and implementation instead of
	mingw one.

2010-09-14  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Makefile.am:
	* src/lib/Evil.h:
	* src/lib/evil_time.c:
	* src/lib/evil_time.h:
	add locatime_r() for calendar in Elementary.

2010-05-29  Vincent Torri  <doursse at users dot sf dot net>

	* doc/Doxyfile:
	define _MSC_VER so that code guarded by it can
	be processed by doxygen

	* src/lib/evil_stdio.c:
	* src/lib/evil_stdio.h:
	vasprintf() is also not in mingw crt

	* src/lib/evil_unistd.c:
	* src/lib/evil_unistd.h:
	getpid is declared and defined in mingw crt

2010-04-14  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_stdio.c:
	* src/lib/evil_stdio.h:
	add vasprintf() function

2010-04-03  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	mkdir() does not accept 2 arguments.
	Define hypot to remove huge amount of warnings in
	Evas withvc++

2010-04-01  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	move version management at the beginning

	* src/bin/evil_suite.c:
	* src/bin/evil_test_dlfcn.c:
	* src/bin/evil_test_environment.c:
	* src/bin/evil_test_gettimeofday.c:
	* src/bin/evil_test_link.c:
	* src/bin/evil_test_mkstemp.c:
	* src/bin/evil_test_pipe.c:
	* src/bin/evil_test_realpath.c:
	* src/lib/Evil.h:
	* src/lib/Makefile.am:
	* src/lib/evil_errno.c:
	* src/lib/evil_main.c:
	* src/lib/evil_main.h:
	* src/lib/evil_unistd.c:
	* src/lib/evil_unistd.h:
	* src/lib/evil_util.c:
	fix warnings

2010-03-26  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_string.c:
	* src/lib/evil_string.h:
	add strcasecmp wrapper for vc++

2010-03-12  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Makefile.am:
	* src/lib/evil_time.c (deleted):
	* win32/vs8/libevil.vcproj:
	* win32/vs9/libevil.vcproj:
	remove evil_time.c as tzset is defined with mingw and vc++

	* src/lib/Evil.h:
	* src/lib/dlfcn/dlfcn.c:
	* src/lib/dlfcn/dlfcn.h:
	remove __CEGCC__ occurences

2010-03-11  Vincent Torri  <doursse at users dot sf dot net>

	* win32/vs8/libdlfcn.vcproj:
	* win32/vs9/libdlfcn.vcproj:
	set supported Windows minimal version

2010-03-11  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	actually, ssize_t is defined with all mingw versions
	but not with vc++. So move it in vc++ part of Evil.h

2010-03-11  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	add comment

	* win32/vs8/libevil.vcproj:
	clean up Visual Studio output (less useless warnings)
	add missing library

2010-02-28  Vincent Torri  <doursse at users dot sf dot net>

	* remove cegcc compiler support, only mingw32ce
	is supported

	* remove shadow declarations

2010-02-12  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_unistd.c:
	fix gettimeofday(). Thanks to Mathieu SCHROETER,
	from the GeexBox project, for having spotted this.

2010-01-30  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_fcntl.c:
	verify that the data passed to fcntl() is really a socket
	and fix ioctlsocket() returned value check.

	* src/bin/Makefile.am:
	* src/bin/evil_suite.c:
	add unit test for pipe().

2010-01-30  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	change again the redefinition of open(). Needed
	for the gif loader. But the compilation with vc++
	is certainly broken. Will be fixed later with a specific
	case for vc++.

2010-01-30  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_fcntl.c:
	* src/lib/evil_fcntl.h:
	fix fcntl() with F_SETFL command

2010-01-29  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_fcntl.c:
	* src/lib/evil_fcntl.h:
	* src/lib/evil_unistd.c:
	make pipe() blocking by default and allow fcntl()
	to set a socket to be non-blocking

	* src/lib/evil_stdlib.c:
	fix warning

2010-01-19  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/dlfcn/dlfcn.c:
	Fix dladdr() on Windows CE: use the calling process
	address to get the path.

2009-12-19  Vincent Torri  <doursse at users dot sf dot net>

	* Makefile.am:
	remove m4 libtool installed files during the
	maintainer-clean rule

	* src/lib/evil_stdio.c:
	* src/lib/evil_stdio.h:
	add the remove() function

2009-12-11  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	improve configure output

2009-12-07  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_libgen.c:
	* src/lib/evil_libgen.h:
	* src/lib/Makefile.am:
	* win32/vs8/libevil.vcproj:
	* win32/vs9/libevil.vcproj:
	add basename() function.

	* src/lib/Evil.h:
	add basename() function and comment useless wrappers (for now).

	* src/lib/dlfcn/dlfcn.h:
	remove useless include.

	* src/lib/evil_util.c:
	formatting.

2009-12-06  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_string.c:
	add strrstr() function.

	* src/bin/evil_suite.c:
	* src/lib/evil_fnmatch.c:
	* src/lib/evil_fnmatch_list_of_states.c:
	include config.h

2009-10-08  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_main.c:
	Shutdown socket system in evil_shutdown().
	Update init/shutdown scheme.

2009-09-08  Vincent Torri  <doursse at users dot sf dot net>

	* INSTALL:
	update INSTALL file

2009-08-27  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/dlfcn/dlfcn.c:
	fix warnings

	* src/lib/evil_fnmatch_list_of_states.c:
	fix vc++ warning

	* win32/MANIFEST.txt:
	* win32/README.txt:
	* win32/start.bat:
	* win32/vs9/evil.sln:
	* win32/vs9/libdlfcn.vcproj:
	* win32/vs9/libevil.vcproj:
	* win32/vs9/test/out/update_deps.bat:
	* win32/vs9/test/start.bat:
	* win32/vs9/test/test.sln:
	* win32/vs9/test/test.vcproj:
	* win32/vs9/test/test_fnmatch.cpp:
	* win32/vs9 (added):
	* win32/vs9/test (added):
	* win32/vs9/test/test_fnmatch.cpp (added):
	* win32/vs9/test/test.vcproj (added):
	* win32/vs9/test/start.bat (added):
	* win32/vs9/test/out (added):
	* win32/vs9/test/out/update_deps.bat (added):
	* win32/vs9/test/test.sln (added):
	* win32/vs9/libdlfcn.vcproj (added):
	* win32/vs9/libevil.vcproj (added):
	* win32/vs9/evil.sln (added):
	* win32/start.bat (added):
	* win32/vs8/libmman.vcproj (deleted):
	* win32/vs8/start.bat (deleted):
	* win32/set_env.bat (deleted):
	update the Visual Studio environment. Now, there is only one
	script to launch (start.bat) in win32/. It detects automatically
	the latest Visual Studio environment which is installed and launch
	the solution. Currently	supported VS are 2005 and 2008.

2009-06-13  Lars Munch  <lars at segv dot dk>

	* src/lib/evil_main.c:
	initiate use of the Winsock DLL in evil_init()

2009-06-10  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_langinfo.c:
	* src/lib/evil_langinfo.h:
	add minimal RADIXCHAR support. Must be fixed in
	a better way.

2009-05-20  Vincent Torri  <doursse at users dot sf dot net>

	reviewed by: Vincent Torri
	patch by: Lance Fetters

	* src/lib/evil_unistd.c:
	make evil_pipe() non blocking

2009-04-18  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/lib/Makefile.am:
	put c++ flags in a variable and use gcc when
	linking the Windows CE code.

2009-04-11  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_fcntl.c:
	* src/lib/evil_fcntl.h:
	support of F_GETFD in fcntl() (does nothing, actually
	needed for last ecore change)

2009-04-08  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_stdlib.c:
	manage correctly getenv() when value is NULL.

2009-02-22  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_main.c:
	* src/lib/evil_unistd.c:
	* src/lib/evil_unistd.h:
	Use high resolution timer for gettimeofday() and
	export a convenient function for ecore_time_get(),
	to save some computations.

	* src/lib/evil_pwd.c:
	Use the correct name for GetUserNameEx() according
	to the platform.

2009-02-16  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_stdio.c:
	replace / by \ in the path passed to fopen

2009-02-01  Vincent Torri  <doursse at users dot sf dot net>

	* doc/Makefile.am:
	* m4/efl_doxygen.m4:
	Missing modification of the variable DOXYGEN to
	efl_doxygen. Spotted by Albin Tonnerre (Lutin).

2009-02-01  Vincent Torri  <doursse at users dot sf dot net>

	* m4/efl_doxygen.m4:
	fix logic in efl_doxygen.m4

2009-01-24  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_fcntl.c:
	fix fcntl()

2009-01-19  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/Makefile.am:
	* src/bin/evil_suite.c:
	* src/bin/evil_test_dlfcn.c:
	* src/bin/evil_test_dlfcn.h:
	* src/bin/evil_test_environment.c:
	* src/bin/evil_test_environment.h:
	* src/bin/evil_test_gettimeofday.c:
	* src/bin/evil_test_gettimeofday.h:
	* src/bin/evil_test_link.c:
	* src/bin/evil_test_link.h:
	* src/bin/evil_test_mkstemp.c:
	* src/bin/evil_test_mkstemp.h:
	* src/bin/evil_test_realpath.c:
	* src/bin/evil_test_realpath.h:
	various fixes in the test suite.
	add mkstemp() and realpath tests.

	* src/lib/evil_dirent.c:
	fix opendir() when indexation search is not active.
	formatting.

	* src/lib/evil_stdlib.c:
	fir mkstemp() on both platform

	* src/lib/evil_unistd.c:
	remove useless error message.

2009-01-12  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_dirent.c:
	* src/lib/evil_fnmatch.c:
	* src/lib/evil_link_xp.cpp:
	* src/lib/evil_stdio.c:
	* src/lib/evil_stdlib.c:
	* src/lib/evil_string.c:
	* src/lib/evil_unistd.c:
	* src/lib/evil_util.c:
	warnings fixes

2008-12-27  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	add SECURITY_WIN32 to the proprocessor on Windows XP,
	should fix the bug with security.h

2008-12-27  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/evil_test_environment.c:
	check returned value

	* src/bin/evil_test_memcpy.c:
	define getpagesize() for vc++

	* src/lib/evil_unistd.c:
	move inclusion of time.h after windsock2.h
	include direct.h for vc++
	use _WIN32_WCE for Windows CE compilers in evil_getcwd()

	* src/lib/Evil.h:
	* src/lib/evil_unistd.h:
	move getcwd() define from Evil.h to evil_unistd.h
	add some C99 types to Evil.h for vc++ (will be used in eina)

	* src/lib/evil_fcntl.c:
	include io.h for vc++

	* src/lib/evil_link_xp.cpp:
	use full name for symlink(). Fix symlink on Windows XP with
	the DOS prompt or the debugger of Visual Studio.

	* src/lib/evil_mman.c:
	don't include unistd.h if vc++ is used

	* src/lib/evil_stdio.h:
	formatting

	* src/lib/evil_stdlib.h:
	* src/lib/evil_stdlib.c:
	define putenv only for mingw32ce
	move the returned value of setenv()

2008-12-13  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/Makefile.am:
	* src/bin/evil_test_gettimeofday.c:
	fix unit test; now all tests pass, finally

	* src/lib/evil_unistd.c:
	fix gettimeofday() on mingw32ce

2008-12-13  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/Makefile.am:
	and don't compile test_dlfcn...

2008-12-13  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/evil_suite.c:
	do not access to undefined pointer

2008-12-13  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/test_dlfcn.c:
	remove dlfcn test, is in the unit test now

2008-12-13  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/Makefile.am:
	* src/bin/evil_test_dlfcn.c:
	* src/bin/evil_test_dlfcn.h:
	add dflcn unit test

	* src/bin/evil_suite.c:
	show result of the unit tests and add dlfcn unit test

	* src/bin/evil_test_environment.c:
	remove debug

	* src/bin/evil_test_gettimeofday.c:
	debug, not working yet :/

	* src/bin/evil_test_link.c:
	* src/lib/evil_link_ce.c:
	fix link support on Windows CE

2008-12-10  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	be sure to include stdio.h before redefining the
	functions that are declared int it.

2008-12-09  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/evil_test_gettimeofday.c:
	add output

	* src/bin/evil_test_link.c:
	add a unit test for readlink()

	* src/lib/evil_link_xp.cpp:
	fix readlink() and symlink() on Windows XP

2008-12-05  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_main.c:
	always export evil_init() and evil_shutdown()

2008-12-03  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/evil_test_gettimeofday.c:
	replace evil_gettimeofday by gettimeofday

	* src/lib/evil_string.c:
	* src/lib/evil_string.h:
	add strcoll() "port" to Windows CE OS. Note it's
	just strcmp, no locale stuff is used onn that OS.

2008-11-29  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_main.c:
	define correctly EAPI

2008-11-21  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/Makefile.am:
	* src/bin/evil_suite.c:
	* src/bin/evil_test_gettimeofday.c:
	* src/bin/evil_test_gettimeofday.h:
	add a small test for gettimeofday

	* src/bin/evil_test_memcpy.c:
	fix warning

	* src/lib/Evil.h:
	* src/lib/Makefile.am:
	* src/lib/evil_main.c:
	* src/lib/evil_main.h:
	* src/lib/evil_unistd.c:
	* src/lib/evil_unistd.h:
	* src/lib/evil_private.h:
	add gettimeofday for Windows CE natively. It is necessary
	to initialise evil with evil_init() now, to have that
	feature.

	* src/lib/evil_stdio.c:
	* src/lib/evil_string.c:
	fix warnings

2008-11-12  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_unistd.h:
	export execvp()

2008-11-09  Vincent Torri  <doursse at users dot sf dot net>

	* evil.pc.in:
	remove -ldl

	* src/lib/evil_dirent.c:
	change guards

	* src/lib/evil_stdio.c:
	* src/lib/evil_stdio.h:
	add some checks,
	add a function that more or less mimic fopen, but with
	native win32 api calls. This is only for the evas loader
	and saver of png files and works only for Windows CE.

	* src/lib/evil_unistd.c:
	move a free() and remove debug calls.

2008-11-05  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_stdio.c:
	* src/lib/evil_stdio.h:
	overload rewind for Windows CE

	* src/lib/evil_unistd.c:
	remove debug

2008-11-04  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	* src/lib/evil_stdio.h:
	* src/lib/evil_unistd.c:
	* src/lib/evil_unistd.h:
	overload the stat() function for native Windows CE platform.
	move pipe() and fopen() definitions to their own header files

2008-11-01  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	add a flag to know if cegcc is used or not

	* src/lib/Makefile.am:
	* src/lib/dirent.h:
	* src/lib/evil_dirent.c:
	add opendir(), closedir() and readdir() implementations
	for Windows XP and CE. Now, the evas engines are correctly
	found.

	* src/lib/fnmatch.h:
	formatting

2008-11-01  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	formatting

	* src/lib/dlfcn/dlfcn.c:
	* src/lib/dlfcn/dlfcn.h:
	fix dladdr declaration

2008-10-29  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	use AC_CHECK_HEADERS instead of AC_CHECK_HEADERS_ONCE, because it
	leads to more trouble than it improves configure speed...

	* src/lib/Evil.h:
	use __VA_ARGS__ instead of ##args to make gcc happy.

2008-10-29  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	define _WIN32_WCE with the cegcc compiler too
	useless EVIL_HAVE_WINCE define

	* src/bin/evil_test_memcpy.c:
	use _WIN32_WCE insead of EVIL_HAVE_WINCE

	* src/lib/Evil.h:
	try another definition of open(). Need feedback.

	* src/lib/evil_private.h:
	* src/lib/evil_util.c:
	add private error message when GetLastMessage must be called

	* src/lib/Makefile.am:
	* src/lib/evil_link_ce.c:
	* src/lib/evil_link_xp.cpp:
	* src/lib/evil_unistd.c:
	* src/lib/evil_unistd.cpp:
	move specific link code (readlink and symlink) outside
	evil_unistd to evil_link_ce.c for Windows CE and
	evil_link_xp.cpp for Windows XP. This allow the Windows CE
	code not depend on c++ code anymore and above all, not
	statically link libstdc++ on that platform.
	I need feedback on Windows XP, btw :)

2008-10-28  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	add c++ compiler checks
	remove linking against libuid.a	as it's not an import lib.

	* src/bin/Makefile.am:
	* src/bin/evil_suite.c:
	* src/bin/evil_test_link.c:
	* src/bin/evil_test_link.h:
	add unit test for links. Must be improved.

	* src/lib/Makefile.am:
	add unistd.cpp and uuid.c
	use -fno-exceptions when compiling c++ code

	* src/lib/evil_unistd.c:
	* src/lib/evil_unistd.cpp:
	use C++ api to manage links on Windows XP. Can be considered
	as heavy but it's cleaner as the internals can change later.
	I might consider to compile Windows CE code with only C compiler
	as with mingw32ce, libstdc++ is statically linked to the
	DLL / app (legacy of mingw stuff), to reduce a bit the DLL size.

	* src/lib/evil_private.h:
	declare _evil_error_display() as C function (otherwise linker
	not happy)

	* src/lib/evil_stdlib.c:
	use RegCreateKeyEx() instead of RegOpenKeyEx in getenv().
	fix an _evil_error_display() call.

	* src/lib/evil_util.c:
	add more error messages

	* src/lib/evil_uuid.c:
	define IID_IPersistFile (for links on Windows XP)

	* src/lib/evil_unistd.h:
	fix doc

2008-10-25  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_unistd.c:
	* src/lib/evil_unistd.h:
	add execvp stub function for ecore_app. Does nothing,
	only here to make compilation working with mingw32ce.

2008-10-24  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Makefile.am:
	* src/lib/evil_util.c:
	* src/lib/evil_private.h:
	move _evil_stdlib_error_display() from evil_stdlib.c
	to evil_util.c and rename it to _evil_error_display()

	* src/lib/evil_stdlib.c:
	* src/lib/evil_unistd.c:
	use _evil_error_display()

	* src/lib/Evil.h:
	overload fopen for mingw32ce

	* src/lib/evil_stdio.c:
	* src/lib/evil_stdio.h:
	add evil_open to overload fopen (for mingw32ce

2008-10-22  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/lib/Makefile.am:
	store cpp flags in a variable instead of using an
	automake conditional

	* src/bin/Makefile.am:
	* src/bin/evil_suite.c:
	* src/bin/evil_test_memcpy.c:
	add test for getenv / setenv. More tests on it will
	come later

	* src/lib/evil_stdlib.c:
	fix getenv code and minor cleanup

2008-10-21  Vincent Torri  <doursse at users dot sf dot net>

	* m4/ac_attribute.m4:
	use newer file from PROTO/autotools

	* src/lib/dlfcn/dlfcn.c:
	* src/lib/evil_mman.c:
	no need to define __UNUSED__ anymore with the new m4 macro

	* src/lib/Makefile.am:
	* src/lib/evil.c:
	remove useless file

2008-10-21  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	use getcwd() from evil_unistd.c

2008-10-21  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Makefile.am:
	* src/lib/evil_time.c:
	add tzset implementation ofr mingw32ce (does nothing...),
	needed for embryo

	* src/lib/evil_stdio.h:
	formatting

2008-10-20  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/evil_suite.c:
	* src/bin/evil_suite.h:
	* src/bin/evil_test_memcpy.c:
	* src/bin/evil_test_memcpy.h:
	clean suite and memcpy test code

2008-10-19  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/errno.h:
	* src/lib/evil_errno.c:
	export errno symbol.

	* src/lib/evil_string.c:
	* src/lib/evil_string.h:
	add a (slow) implementation of ffs(). Needed for eina

2008-10-16  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/lib/Makefile.am:
	fix compilation on MinGW. Windows 2000 is
	the minimum version supported by Evil (hence
	other EFL). Goodbye Windows 98.

	* src/bin/evil_test_memcpy.c:
	re-enable small memcpy tests. It seems that memcpy
	provided by glibc and the oem driver on Ipaq
	3970 I have, have the same speed.

2008-10-16  Vincent Torri  <doursse at users dot sf dot net>

	* Makefile.am:
	add the doc subdir

	* src/lib/Makefile.am:
	add evil_fnmatch_private.h in tarballs

2008-10-14  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/evil_fcntl.h:
	don't use it with the cegcc compiler

	* src/lib/evil_fnmatch.c:
	fix warning

	* src/lib/evil_stdlib.c:
	fix putenv and mkstemp with cegcc and mingw32ce

2008-10-11  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/lib/Makefile.am:
	re-add guards suppressed in previous commit

	* src/lib/Evil.h:
	include new header files

	* src/lib/errno.h:
	* src/lib/evil_errno.c:
	add fake errno system with mingw32ce

	* src/lib/evil_fcntl.c:
	* src/lib/evil_fcntl.h:
	fix compilation on cegcc and mingw32 (mainly does
	nothing on Windows CE)

	* src/lib/evil_stdio.c:
	* src/lib/evil_stdio.h:
	add rewind and perror for mingw32ce

	* src/lib/evil_string.c:
	* src/lib/evil_string.h:
	add strerror for mingw32ce

2008-10-11  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/lib/Makefile.am:
	* src/lib/evil_fnmatch.c:
	* src/lib/evil_fnmatch_list_of_states.c:
	add guards instead of not including fnmatch source
	file in Makefile.am (for mingw32ce only)

	* src/bin/Makefile.am:
	* src/bin/evil_suite.c:
	* src/bin/evil_test_memcpy.c:
	* src/bin/suite.c:
	* src/bin/suite.h:
	* src/bin/test_memcpy.c:
	* src/bin/test_memcpy.h:
	rename files

2008-10-09  Vincent Torri  <doursse at users dot sf dot net>

	* AUTHORS:
	mention Tor's contribution

	* configure.ac:
	mention m4 directory, check errno header file,
	add conditionnal when mingw32ce is used, minor
	formatting

	* m4/efl_doxygen.m4:
	fix comments

	* src/lib/Makefile.am:
	include fnmatch files only when mingw32ce is used

	* src/lib/evil_fcntl.c:
	define correctly _get_osfhandle on mingw32ce

	* src/lib/evil_pwd.c:
	fix getpwuid() when cegcc or mingw32ce are used

	* src/lib/evil_stdlib.c:
	fix mkstemp() on all Windows platform, guard errno stuff

	* src/lib/evil_stdlib.h:
	template -> __template because 'template' is a c++ keyword.

	* src/lib/evil_unistd.c:
	guard errno stuff

	* src/lib/evil_fnmatch.c:
	* src/lib/evil_fnmatch_list_of_states.c:
	* src/lib/evil_fnmatch_private.h:
	* src/lib/fnmatch.h:
	added files

	* win32/common/fnmatch.c:
	* win32/common/fnmatch.h:
	* win32/common/fnmatch_list_of_states.c:
	* win32/common/fnmatch_private.h:
	removed files

2008-10-05  Vincent Torri  <doursse at users dot sf dot net>

	* m4:
	add m4 macro for doxygen, mpatrol and __attribute__

	* doc:
	move Doxyfile from toplevel dir to doc/

	* src/bin/Makefile.am
	* src/lib/Makefile.am
	* src/lib/dlfcn/Makefile.am
	remove _DEPENDENCIES, add flags for mpatrol and put
	defines for EAPI

	* src/bin:
	add memcpy for i686. Need an asm expert to modify it

	* src/bin/memcpy_glibc_arm.S:
	formatting

	* src/bin/suite.c:
	fix seg fault by increasing the size of the buffers

	* src/bin/test_memcpy.c:
	add a test with a bigger size for the memory to copy

	* configure.ac:
	reorganise a lot, use m4 macro, add mpatrol support

	* Makefile.am:
	add doc rule

2008-10-03  Vincent Torri  <doursse at users dot sf dot net>

	* src/bin/Makefile.am:
	rename memcpy_glibc.S to memcpy_glibc_arm.S

2008-09-28  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/bin/Makefile.am:
	* src/bin/test_memcpy.c:
	compile memcpy_glibc.S only if cegcc or mingw32ce is used

	* src/bin/test_pipe.c:
	use evil_sockets_init and evil_sockets_shutdown.

	* src/lib/evil_unistd.c:
	formatting

2008-09-15  Vincent Torri  <doursse at users dot sf dot net>

	* Makefile.am:
	add autogen.sh in archive distribution

	* configure.ac:
	remove useless defines
	first support of mingw32msvc compiler

	* src/lib/Evil.h:
	move some macro definitions

	* src/lib/Makefile.am:
	add evil_(fcntl/langinfo).(c/h) and install pwd.h

	* src/lib/dlfcn/dlfcn.h:
	remove useless ifdef

	* src/lib/evil.c:
	comment all code for now. It will be deleted later

	* src/lib/evil_fcntl.c:
	* src/lib/evil_fcntl.h:
	* src/lib/evil_langinfo.c:
	* src/lib/evil_langinfo.h:
	move fcntl and langinfo related code to their own files

	* src/lib/evil_mman.c:
	remove useless inclusion

	* src/lib/evil_pwd.c:
	pw var is not needed with cegcc

	* src/lib/evil_stdlib.c:
	fix bugs, formatting

	* src/lib/evil_unistd.c:
	add missing declarations and fix header files

	* src/lib/evil_unistd.h:
	move pid_t typedef to Evil.h

	* src/lib/evil_util.c:
	additional include and fix a bug in output

	* src/lib/pwd.h:
	use EAPI from Evil.h, define struct passwd when not using cegcc

	* src/lib/sys/mman.h:
	use EAPI from Evil.h

	* win32/common/fnmatch.c:
	* win32/common/fnmatch.h:
	* win32/common/fnmatch_list_of_states.c:
	* win32/vs8/evil.sln:
	fix and cleanup with vc++ compilation
	Based on patch by Dmitriy Mazovka

2008-09-14  Vincent Torri  <doursse at users dot sf dot net>

	Fix compilation with vc++. Based on patch by Dmitriy Mazovka

	* src/lib/Evil.h:
	move typedef's

	* src/lib/evil.c:
	remove declaration and include

	* src/lib/evil_stdlib.c:
	simplify mkstmp implementation
	fix getenv

	* src/lib/evil_unistd.c:
	include correct headers for readlink and symlink

2008-09-13  Vincent Torri  <doursse at users dot sf dot net>

	* big rework of evil
	* addition of a unit test for memcpy

2008-07-13  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	declare pid_t, ssize_t and mode_t for vc++ before flock
	structure (vc++)
	* src/lib/dlfcn/dlfcn.h:
	include limits.h for vc++

	* src/lib/evil.c: (symlink), (readlink):
	use UNICODE instead of checking the OS. Use PATH_MAX instead
	of MB_CUR_MAX when needed

2008-07-03  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	uid_t and gid_t exist on cegcc

2008-06-29  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/lib/Evil.h:
	* src/lib/Makefile.am:
	* src/lib/evil.c:
	* src/lib/pwd/Makefile.am:
	* src/lib/pwd/pwd.h:
	add langinfo and getpwuid support

	* src/lib/mman/sys/mman.h:
	* src/lib/dlfcn/dlfcn.h:
	fix comment

2008-06-11  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	add defines for vc++. Thanks to Dmitriy Mazovka

2008-06-10  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/lib/dlfcn/dlfcn.h:
	* src/lib/mman/sys/mman.h:
	define EFL_EVIL_MMAN_BUILD and EFL_EVIL_DLFCN_BUILD so
	that functions in Evil.h are not declared as import

	* src/lib/evil.c: (setenv), (unsetenv), (realpath),
	(evil_sockets_init), (evil_sockets_shutdown), (evil_pipe),
	(evil_tmpdir_get), (evil_homedir_get):
	rename pipe() to evil_pipe().
	set tmpdir to "Temp" and homedir to "My Documents" on WinCE

	* src/lib/Evil.h:
	define pipe() as evil_pipe(). This allow to use our pipe()
	implementation to be usedwith cegcc, as it is broken on that
	platform.
	move the defines at the end of the file

2008-06-09  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	add strdup define

	* src/lib/evil.c: (evil_tmpdir_get), (evil_homedir_get):
	include stdlib.h to define MB_CUR_MAX
	On Windows CE, tmpdir and homedir are defined as "\windows"

	* src/lib/mman/mman.c: (mmap), (munmap):
	compile the big fat hack of mmap only on Windows CE

2008-06-08  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	* src/lib/evil.c: (evil_last_error_get):
	add evil_last_error_get() function to get
	useful error string creation.

	* src/lib/dlfcn/dlfcn.c: (get_last_error), (dlopen), (dlsym),
	(dladdr):
	use UNICODE check instead of compiler checks when needed.
	use evil_last_error_get()

	* src/lib/mman/mman.c: (mmap), (munmap):
	file mapping does not work on Windows CE < 5.0.
	if it is the case, just read the file and return
	the data.
	use evil_last_error_get()

	* src/lib/mman/Makefile.am:
	* src/lib/Makefile.am:
	add libevil dependancy

2008-06-07  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	include windows.h instead of windef.h
	undefine PATH_MATH before defining it

	* src/lib/dlfcn/dlfcn.c:
	remove useless header file

2008-06-06  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	add PATH_MAX macro

	* src/lib/dlfcn/dlfcn.c: (get_last_error):
	free correctly strings

2008-06-02  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	* src/lib/evil.c: (setenv), (unsetenv):
	setenv and unsetenv are already defined with cegcc

2008-06-01  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	* src/lib/evil.c:
	add open with several arguments
	add getcwd, lstat, setenv, unsetenv and evil_homedir_get.
	typo in doc

2008-06-01  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/dlfcn/dlfcn.c:
	memory leak with cegcc

	* src/lib/dlfcn/dlfcn.h:
	include limits.h for MinGW users

	* src/lib/mman/sys/mman.h:
	add MAP_FAILED error value

2008-05-20  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/dlfcn/dlfcn.h:
	dli_fname ncorrectly declared. Thanks to Dmitriy Mazovka.

2008-05-11  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	* src/lib/evil.c (getpid):
	add wrapper around GetCurrentProcessId()

2008-05-10  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/dlfcn/dlfcn.c: (dladdr):
	replace all the '\' by '/' in the filename found by dladdr

2008-04-28  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	* src/lib/evil.c: (evil_getcwd):
	add getcwd-like function

	* src/lib/dlfcn/dlfcn.c: (dladdr):
	* src/lib/dlfcn/dlfcn.h:
	add dladdr-like function. Formatting
	Remove unused define

	* src/lib/mman/sys/mman.h:
	remove unused define

2008-04-26  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	* src/lib/Makefile.am:
	* src/lib/dlfcn/Makefile.am:
	* src/lib/dlfcn/dlfcn.c: (get_last_error), (dlopen), (dlsym):
	* src/lib/evil.c: (evil_char_to_wchar), (evil_wchar_to_char):
	make char <--> wchar_t conversion functions public

	* src/lib/mman/Makefile.am:
	add cegcc flags

	* src/lib/mman/mman.c:
	move include

2008-04-23  Vincent Torri  <doursse at users dot sf dot net>

	* configure.ac:
	* src/bin/Makefile.am:
	* src/lib/Makefile.am:
	* src/lib/dlfcn/Makefile.am:
	* src/lib/mman/Makefile.am:
	use -Wl,--enable-auto-import with cegcc
	fix warning with newest autoconf

	* src/lib/dlfcn/dlfcn.c: (string_to_wchar):
	include wchar.h and fix warnings

	* src/lib/mman/mman.c:
	use relative path to include sys/mman.h

2008-03-28  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	remove the stat structure and add guards

	* src/lib/dlfcn/dlfcn.c:
	include limits.h also for the cegcc compiler

2008-03-23  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	add POSIX definitions

	* src/lib/evil.c:
	make realpath available with cegcc. The function
	just copy the file name to the resolved name with
	that compiler

2008-03-13  Vincent Torri  <doursse at users dot sf dot net>

	* INSTALL:
	* README:
	additional notes for compilations with cegcc or mingw32ce

	* configure.ac:
	use 'win32' instead of 'cegcc' or 'mingw'

	* src/lib/dlfcn/dlfcn.c (dlopen):
	cegcc does not support LOAD_WITH_ALTERED_SEARCH_PATH.
	Use LoadLibrary instead of LoadLibraryEx in that case.

2008-03-05  Vincent Torri  <doursse at users dot sf dot net>

	* src/lib/Evil.h:
	* src/lib/evil.c:
	cegcc or mingwce32 does not like relative path,
	so _fullpath or other similar function do not exist
	on Winodws mobile.

	* src/lib/mman/mman.c:
	missing #

2008-03-05  Vincent Torri  <doursse at users dot sf dot net>

	fix compilation with cegcc and minor fixing

	* COPYING:
	copyright update

	* configure.ac:
	* src/lib/Evil.h:
	* src/lib/dlfcn/dlfcn.h:
	* src/lib/mman/sys/mman.h:
	define EFL_EVIL_BUILD in config.h for managing correctly EAPI

	* src/bin/test_pipe.c:
	stdio.h is needed after winsock2.h for mingw32ce

	* src/lib/dlfcn/dlfcn.c (get_last_error), (dlopen), (dlsym):
	* src/lib/evil.c:
	fix some heafer files inclusion on cegc platform.
	first step of mingw32ce support

	* src/lib/mman/mman.c:
	define _get_osfhandle for mingw32ce

2008-03-03  Vincent Torri  <doursse at users dot sf dot net>

	* COPYING:
	* COPYING-PLAIN:
	* Makefile.am:
	update the COPYING file

2008-02-29  Vincent Torri  <doursse at users dot sf dot net>

	* AUTHORS:
	Add Tor Lillqvist as author as he kindly gave me
	the right to use his code for pipe(). Thanks a lot !

	* src/bin/test_dlfcn.c (main):
	read module and symbol from command line

	* src/bin/test_pipe.c (thread), (main):
	change output

	* src/lib/Evil.h:
	* src/lib/dlfcn/dlfcn.h:
	* src/lib/evil.c (mkstemp), (realpath), (evil_sockets_init),
	(evil_sockets_shutdown):
	* src/lib/mman/sys/mman.h:
	update documentation, add unlink() function, realpath()
	becomes a function instead of a macro, add functions to
	init / shutdown the socket system of Windows, undef EAPI
	at the end of each header files.

2008-02-27 Vincent Torri  <doursse at users dot sf dot net>

	* initial release
